=== examples/LeveyJennings/CMakeLists.txt ===
add_subdirectory(Simple)
