=== examples/RealTime/CMakeLists.txt ===
add_executable(RealTime  main.cpp)

target_link_libraries(RealTime KChart6 Qt::Widgets)
