=== examples/Sql/CMakeLists.txt ===
add_executable(Sql  main.cpp)

target_link_libraries(Sql KChart6 Qt::Widgets Qt::Sql)
