=== examples/Widget/CMakeLists.txt ===
add_subdirectory(Advanced)
add_subdirectory(Parameters)
add_subdirectory(Simple)
