=== qtests/CartesianDiagramDataCompressor/CMakeLists.txt ===
ecm_add_test(
    CartesianDiagramDataCompressorTests.cpp
    TEST_NAME CartesianDiagramDataCompressorTests
    LINK_LIBRARIES KChart6 Qt::Widgets Qt::Test
)
