=== debian/changelog ===
kdiagram (3.0.1-4ubuntu2) questing; urgency=medium

  * Drop all delta to Debian now that tests on ppc64el build ok.
    Should be syncable on next debian upload.

 -- Rik Mills <rikmills@kde.org>  Sat, 06 Sep 2025 13:19:29 +0100

kdiagram (3.0.1-4ubuntu1) questing; urgency=medium

  * Do not build tests on Ubuntu for now. They FTBFS on ppc64el.
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 21:13:37 +0100

kdiagram (3.0.1-4) unstable; urgency=medium

  [ Pino Toscano ]
  * Make sure to always build the tests, as building them exposes certain
    symbols in the libraries (improves the fix for #1086765)
    - pass -DBUILD_TESTING=ON to cmake
    - drop patch unconditionally-build-tests-1086765.patch, no more needed
      now
  * Bump Standards-Version to 4.7.2, no changes required.
  * Remove the explicit as-needed linking, as it is done by binutils now.
  * Mark the xauth, and xvfb build dependencies as <!nocheck>, as they are
    needed only when running the test suite.
  * Update symbols files from the logs of buildds.

  [ Patrick Franz ]
  * Update d/copyright.

 -- Pino Toscano <pino@debian.org>  Thu, 03 Apr 2025 07:58:36 +0200

kdiagram (3.0.1-3) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Wed, 18 Dec 2024 23:09:04 +0100

kdiagram (3.0.1-2) experimental; urgency=medium

  * Team upload.

  [ Rebecca N. Palmer ]
  * Build (but do not run) tests in nocheck. (Closes: #1086765)
  * Update Homepage.

 -- Patrick Franz <deltaone@debian.org>  Mon, 16 Dec 2024 21:53:13 +0100

kdiagram (3.0.1-1) experimental; urgency=medium

  * Team upload.
  * New upstream release (3.0.1).
  * Add upstream signing key of Jonathan Riddell.
  * Make uscan use the OpenPGP signature when downloading the tarball.
  * Update build-deps and deps with the info from cmake.
  * New libraries libKChart6 and libKGantt6.
  * Bump Standards-Version to 4.7.0 (no changes needed).
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Mon, 23 Sep 2024 23:19:01 +0200
