=== debian/control ===
Source: kdiagram
Section: libs
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Pino Toscano <pino@debian.org>,
Build-Depends:
 cmake (>= 3.16),
 debhelper-compat (= 13),
 extra-cmake-modules (>= 6.3.0~),
 libxkbcommon-dev,
 pkgconf,
 qt6-base-dev (>= 6.5.0+dfsg~),
 qt6-svg-dev (>= 6.5.0~),
 qt6-tools-dev (>= 6.5.0~),
 xauth <!nocheck>,
 xvfb <!nocheck>,
Standards-Version: 4.7.2
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kdiagram.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kdiagram
Homepage: https://invent.kde.org/graphics/kdiagram

Package: libkchart-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends:
 libkchart6-3 (= ${binary:Version}),
 qt6-base-dev (>= 6.5.0+dfsg~),
 qt6-svg-dev (>= 6.5.0~),
 ${misc:Depends}
Description: library for creating business charts (development files)
 KD Charts provides an implementation of the ODF Chart specification. It
 supports stock charts, box charts, and whisker charts and allows one to
 integrate these charts in Qt-based applications.
 .
 This package contains the development files.

Package: libkchart6-3
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 libkchart-l10n (= ${binary:Version})
Description: library for creating business charts (shared library)
 KD Charts provides an implementation of the ODF Chart specification. It
 supports stock charts, box charts, and whisker charts and allows one to
 integrate these charts in Qt-based applications.
 .
 This package contains the shared library.

Package: libkchart-l10n
Section: localization
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends}
Description: library for creating business charts (translation)
 KD Charts provides an implementation of the ODF Chart specification. It
 supports stock charts, box charts, and whisker charts and allows one to
 integrate these charts in Qt-based applications.
 .
 This package contains translations.

Package: libkgantt-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends:
 libkgantt6-3 (= ${binary:Version}),
 qt6-base-dev (>= 6.5.0+dfsg~),
 ${misc:Depends}
Description: library for creating Gantt diagrams (development files)
 Gantt charts are a bar charts that illustrate project schedules. KD Gantt
 provides a module for implementing ODF Gantt charts in Qt-based applications.
 .
 This package contains the development files.

Package: libkgantt6-3
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 libkgantt-l10n (= ${binary:Version})
Description: library for creating Gantt diagrams (shared library)
 Gantt charts are a bar charts that illustrate project schedules. KD Gantt
 provides a module for implementing ODF Gantt charts in Qt-based applications.
 .
 This package contains the shared library.

Package: libkgantt-l10n
Section: localization
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends}
Description: library for creating Gantt diagrams (translations)
 Gantt charts are a bar charts that illustrate project schedules. KD Gantt
 provides a module for implementing ODF Gantt charts in Qt-based applications.
 .
 This package contains translations.
