=== debian/rules ===
#! /usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_TESTING=ON

override_dh_auto_test-arch:
	xvfb-run -a dh_auto_test -a

# no tests for -indep
override_dh_auto_test-indep:
