## kdiagram 3.0.1+p24.04+vstable+git20250926.0529

=== debian/changelog ===
kdiagram (3.0.1+p24.04+vstable+git20250926.0529-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 26 Sep 2025 05:29:35 +0000

kdiagram (3.0.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Jan 2024 12:48:07 +0000

kdiagram (3.0.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 30 Nov 2023 12:48:25 +0000
