## kdiagram 3.0.1+p24.04+vstable+git20251015.0805

=== debian/changelog ===
kdiagram (3.0.1+p24.04+vstable+git20251015.0805-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 08:05:21 +0000
