## kdiagram 3.0.1+p24.04+vstable+git20251019.0344

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 project( kdiagram )
 
 set(QT_REQUIRED_VERSION "6.5.0")
-set(KF_MIN_VERSION "5.245.0")
+set(KF_MIN_VERSION "6.3.0")
 set(KF_MAJOR_VERSION "6")
 
 find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
@@ -25,6 +25,7 @@
 include(CMakeDependentOption)
 include(FeatureSummary)
 include(GenerateExportHeader)
+include(ECMDeprecationSettings)
 
 set(HAS_ECMAddQch TRUE)
 include(ECMAddQch)
@@ -53,22 +54,15 @@
     message(STATUS "Qt5Sql not found, examples with SQL will not be built.")
 endif()
 
-# We want users of kdiagram libs to be able to use the lib without interference with Qt-specific keywords, e.g. "signals" that collides with Boost's Signals
-add_definitions(
-    -DQT_NO_KEYWORDS
-    -Demit=
-)
 add_definitions(
     -DQT_NO_STL
     -DQT_FATAL_ASSERT
     -DUSE_EXCEPTIONS
 )
 
-add_definitions(
-    -DQT_DISABLE_DEPRECATED_BEFORE=0x050c00
-    -DQT_DEPRECATED_WARNINGS_SINCE=0x060000
-    -DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055A00
-    -DKF_DEPRECATED_WARNINGS_SINCE=0x060000
+ecm_set_disabled_deprecation_versions(
+    QT 6.9
+    KF 6.5.0
 )
 
 
@@ -98,4 +92,4 @@
     endif()
 endif()
 
-feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
+feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
