=== debian/changelog ===
kdiagram (3.0.1+p24.04+vstable+git20251019.0344-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 03:44:19 +0000
