=== debian/control ===
Source: kdiagram
Section: libs
Priority: optional
Uploaders: Pino Toscano <pino@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               doxygen,
               graphviz,
               kf6-extra-cmake-modules,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-svg-dev,
               qt6-tools-dev,
               xauth,
               xvfb
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://cgit.kde.org/kdiagram.git
Vcs-Git: https://invent.kde.org/neon/extras/kdiagram.git
Vcs-Browser: https://invent.kde.org/neon/extras/kdiagram
Maintainer: Neon CI <neon@kde.org>

Package: libkchart6-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Breaks: libkchart-dev (<< 2.8.0)
Replaces: libkchart-dev (<< 2.8.0)
Depends: libkchart6-3 (= ${binary:Version}),
         qt6-base-dev,
         qt6-svg-dev,
         ${misc:Depends}
Description: library for creating business charts (development files)
 KD Charts provides an implementation of the ODF Chart specification. It
 supports stock charts, box charts, and whisker charts and allows one to
 integrate these charts in Qt-based applications.
 .
 This package contains the development files.

Package: libkchart6-3
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: libkchart-l10n (= ${binary:Version})
Breaks: libkchart2 (<< 2.8.0), libkchart2-l10n (<< 2.8.0)
Replaces: libkchart2 (<< 2.8.0), libkchart2-l10n (<< 2.8.0)
Description: library for creating business charts (shared library)
 KD Charts provides an implementation of the ODF Chart specification. It
 supports stock charts, box charts, and whisker charts and allows one to
 integrate these charts in Qt-based applications.
 .
 This package contains the shared library.

Package: libkgantt6-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Breaks: libkgantt-dev (<< 2.8.0)
Replaces: libkgantt-dev (<< 2.8.0)
Depends: libkgantt6-3 (= ${binary:Version}), qt6-base-dev, ${misc:Depends}
Description: library for creating Gantt diagrams (development files)
 Gantt charts are a bar charts that illustrate project schedules. KD Gantt
 provides a module for implementing ODF Gantt charts in Qt-based applications.
 .
 This package contains the development files.

Package: libkgantt6-3
Architecture: any
Multi-Arch: same
Recommends: libkgantt-l10n (= ${binary:Version})
Breaks: libkgantt2 (<< 2.8.0), libkgantt2-l10n (<< 2.8.0)
Replaces: libkgantt2 (<< 2.8.0), libkgantt2-l10n (<< 2.8.0)
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library for creating Gantt diagrams (shared library)
 Gantt charts are a bar charts that illustrate project schedules. KD Gantt
 provides a module for implementing ODF Gantt charts in Qt-based applications.
 .
 This package contains the shared library.

Package: libkchart-l10n
Architecture: all
Depends: libkchart6-3, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkgantt-l10n
Architecture: all
Depends: libkgantt6-3, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkchart-dev
Architecture: all
Depends: libkchart6-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkgantt-dev
Architecture: all
Depends: libkgantt6-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.
