=== debian/changelog ===
kdiagram (3.0.1+p24.04+vstable+git20251028.2130-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 28 Oct 2025 21:30:15 +0000
