## kdiagram 3.0.1+p24.04+vstable+git20251203.0751

=== debian/changelog ===
kdiagram (3.0.1+p24.04+vstable+git20251203.0751-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 03 Dec 2025 07:51:25 +0000
