## kdiagram 3.0.1+p24.04+vunstable+git20251019.0022

=== debian/changelog ===
kdiagram (3.0.1+p24.04+vunstable+git20251019.0022-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 00:22:53 +0000
