## kdiagram 3.0.1+p24.04+vunstable+git20251028.0933

=== debian/changelog ===
kdiagram (3.0.1+p24.04+vunstable+git20251028.0933-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 28 Oct 2025 09:33:17 +0000
