## kdiagram 3.0.1+p24.04+vunstable+git20251130.0041

=== debian/changelog ===
kdiagram (3.0.1+p24.04+vunstable+git20251130.0041-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 30 Nov 2025 00:41:41 +0000
