## kdiagram 3.0.1+p24.04+vunstable+git20260201.0554

=== debian/changelog ===
kdiagram (3.0.1+p24.04+vunstable+git20260201.0554-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 01 Feb 2026 05:54:08 +0000
